import * as core from "@terrascript/core";

export interface ProtectionHealthCheckAssociationArgs
  extends core.ResourceArgs {
  healthCheckArn: string | core.StringOut;

  shieldProtectionId: string | core.StringOut;
}

export class ProtectionHealthCheckAssociation extends core.Resource<ProtectionHealthCheckAssociationArgs> {
  @core.attr(String)
  public healthCheckArn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public shieldProtectionId!: string | core.StringOut;

  constructor(name: string, args?: ProtectionHealthCheckAssociationArgs) {
    super(name, "aws_shield_protection_health_check_association", args);
  }

  public override getNamespace(): string {
    return "aws_shield";
  }
}
